# Loki::RegisterOnCreateSet< ElementList > Class Template Reference
[Register]

`#include <Register.h>`

Inherits Loki::GenScatterHierarchy<ElementList, Private::RegisterOnCreateElement>.

List of all members.

## Detailed Description

### template<typename ElementList>
class Loki::RegisterOnCreateSet< ElementList >

Implements a generic register class which registers classes of a typelist

Usage
  see test/Register

The documentation for this class was generated from the following file:

- Register.h